javax.xml.registry.infomodel

## Interface PostalAddress

- All Superinterfaces:
    ExtensibleObject

      public interface PostalAddress
      extends ExtensibleObject

  PostalAddress is a simple re-usable entity class that defines attributes of a postal Address.
  Author:
    Farrukh S. Najmi

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCity()` Returns the city.
    `String` | `getCountry()` Returns the country.
    `String` | `getPostalCode()` Returns the postal or zip code.
    `ClassificationScheme` | `getPostalScheme()` Returns a user-defined postal scheme for codifying the attributes of PostalAddress.
    `String` | `getStateOrProvince()` Returns the state or province.
    `String` | `getStreet()` Returns the street name.
    `String` | `getStreetNumber()` Returns the street number.
    `String` | `getType()` Returns the type of address (for example, "headquarters") as a String.
    `void` | `setCity(String city)` Sets the city.
    `void` | `setCountry(String country)` Sets the country.
    `void` | `setPostalCode(String postalCode)` Sets the postal or zip code.
    `void` | `setPostalScheme(ClassificationScheme scheme)` Sets a user-defined postal scheme for codifying the attributes of PostalAddress.
    `void` | `setStateOrProvince(String stateOrProvince)` Sets the state or province.
    `void` | `setStreet(String street)` Sets the street name.
    `void` | `setStreetNumber(String streetNumber)` Sets the street number.
    `void` | `setType(String type)` Sets the type of address (for example, "headquarters") as a String.

    - ### Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject

      `addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

- - ### Method Detail

    - #### getStreet

          String getStreet()
                           throws JAXRException

      Returns the street name. Default is an empty String.

      Capability Level: 0
      Returns:
        the street name
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setStreet

          void setStreet(String street)
                         throws JAXRException

      Sets the street name.

      Capability Level: 0
      Parameters:
        `street` - the street name
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getStreetNumber

          String getStreetNumber()
                                 throws JAXRException

      Returns the street number. Default is an empty String.

      Capability Level: 0
      Returns:
        the street number
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setStreetNumber

          void setStreetNumber(String streetNumber)
                               throws JAXRException

      Sets the street number.

      Capability Level: 0
      Parameters:
        `streetNumber` - the street number
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getCity

          String getCity()
                         throws JAXRException

      Returns the city. Default is an empty String.

      Capability Level: 0
      Returns:
        the city
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setCity

          void setCity(String city)
                       throws JAXRException

      Sets the city.

      Capability Level: 0
      Parameters:
        `city` - the city
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getStateOrProvince

          String getStateOrProvince()
                                    throws JAXRException

      Returns the state or province. Default is an empty String.

      Capability Level: 0
      Returns:
        the state or province
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setStateOrProvince

          void setStateOrProvince(String stateOrProvince)
                                  throws JAXRException

      Sets the state or province.

      Capability Level: 0
      Parameters:
        `stateOrProvince` - the state or province
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getPostalCode

          String getPostalCode()
                               throws JAXRException

      Returns the postal or zip code. Default is an empty String.

      Capability Level: 0
      Returns:
        the postal code (e.g. US zip code)
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setPostalCode

          void setPostalCode(String postalCode)
                             throws JAXRException

      Sets the postal or zip code.

      Capability Level: 0
      Parameters:
        `postalCode` - the postal code (e.g. US zip code)
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getCountry

          String getCountry()
                            throws JAXRException

      Returns the country. Default is an empty String.

      Capability Level: 0
      Returns:
        the country
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setCountry

          void setCountry(String country)
                          throws JAXRException

      Sets the country.

      Capability Level: 0
      Parameters:
        `country` - the country
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getType

          String getType()
                         throws JAXRException

      Returns the type of address (for example, "headquarters") as a String.

      Capability Level: 0
      Returns:
        the type for this PostalAddress. This is an arbitrary String (e.g. "Home", "Office")
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setType

          void setType(String type)
                       throws JAXRException

      Sets the type of address (for example, "headquarters") as a String.

      Capability Level: 0
      Parameters:
        `type` - the type for this PostalAddress. This is an arbitrary String (e.g. "Home", "Office")
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setPostalScheme

          void setPostalScheme(ClassificationScheme scheme)
                               throws JAXRException

      Sets a user-defined postal scheme for codifying the attributes of PostalAddress.

      Capability Level: 0
      Parameters:
        `scheme` - the user defined postal scheme.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getPostalScheme

          ClassificationScheme getPostalScheme()
                                               throws JAXRException

      Returns a user-defined postal scheme for codifying the attributes of PostalAddress. If none is defined for this object, then must return the default value returned by RegistryService#getDefaultPostalScheme()

      Capability Level: 0
      Returns:
        the user defined postal scheme.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `RegistryService.getDefaultPostalScheme()`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.